Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface EditorCandies

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

    public interface EditorCandies

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Editor Candies'.

The following features are supported:

- `Creation Wizard Class Name`
- `Creation Wizard Page Class Name`
- `Creation Wizard Icon Path`
- `Creation Wizard Icon Path X`
- `Creation Wizard Category ID`
- `Diagram Editor Util Class Name`
- `Document Provider Class Name`
- `Init Diagram File Action Class Name`
- `New Diagram File Wizard Class Name`
- `Diagram Content Initializer Class Name`
- `Matching Strategy Class Name`
- `Visual ID Registry Class Name`
- `Element Chooser Class Name`
- `Load Resource Action Class Name`
- `Editing Domain ID`

See Also:
  `GMFGenPackage.getEditorCandies()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`boolean` `generateInitDiagramAction()`
`java.lang.String` `getCreationWizardCategoryID()` Returns the value of the 'Creation Wizard Category ID' attribute
`java.lang.String` `getCreationWizardClassName()` Returns the value of the 'Creation Wizard Class Name' attribute
`java.lang.String` `getCreationWizardIconPath()` Returns the value of the 'Creation Wizard Icon Path' attribute
`java.lang.String` `getCreationWizardIconPathX()`
`java.lang.String` `getCreationWizardPageClassName()` Returns the value of the 'Creation Wizard Page Class Name' attribute
`java.lang.String` `getCreationWizardPageQualifiedClassName()`
`java.lang.String` `getCreationWizardQualifiedClassName()`
`java.lang.String` `getDiagramContentInitializerClassName()` Returns the value of the 'Diagram Content Initializer Class Name' attribute
`java.lang.String` `getDiagramContentInitializerQualifiedClassName()`
`java.lang.String` `getDiagramEditorUtilClassName()` Returns the value of the 'Diagram Editor Util Class Name' attribute
`java.lang.String` `getDiagramEditorUtilQualifiedClassName()`
`java.lang.String` `getDocumentProviderClassName()` Returns the value of the 'Document Provider Class Name' attribute
`java.lang.String` `getDocumentProviderQualifiedClassName()`
`java.lang.String` `getEditingDomainID()` Returns the value of the 'Editing Domain ID' attribute
`java.lang.String` `getElementChooserClassName()` Returns the value of the 'Element Chooser Class Name' attribute
`java.lang.String` `getElementChooserQualifiedClassName()`
`java.lang.String` `getInitDiagramFileActionClassName()` Returns the value of the 'Init Diagram File Action Class Name' attribute
`java.lang.String` `getInitDiagramFileActionQualifiedClassName()`
`java.lang.String` `getLoadResourceActionClassName()` Returns the value of the 'Load Resource Action Class Name' attribute
`java.lang.String` `getLoadResourceActionQualifiedClassName()`
`java.lang.String` `getMatchingStrategyClassName()` Returns the value of the 'Matching Strategy Class Name' attribute
`java.lang.String` `getMatchingStrategyQualifiedClassName()`
`java.lang.String` `getNewDiagramFileWizardClassName()` Returns the value of the 'New Diagram File Wizard Class Name' attribute
`java.lang.String` `getNewDiagramFileWizardQualifiedClassName()`
`java.lang.String` `getVisualIDRegistryClassName()` Returns the value of the 'Visual ID Registry Class Name' attribute
`java.lang.String` `getVisualIDRegistryQualifiedClassName()`
`void` `setCreationWizardCategoryID(java.lang.String value)` Sets the value of the '`Creation Wizard Category ID`' attribute
`void` `setCreationWizardClassName(java.lang.String value)` Sets the value of the '`Creation Wizard Class Name`' attribute
`void` `setCreationWizardIconPath(java.lang.String value)` Sets the value of the '`Creation Wizard Icon Path`' attribute
`void` `setCreationWizardPageClassName(java.lang.String value)` Sets the value of the '`Creation Wizard Page Class Name`' attribute
`void` `setDiagramContentInitializerClassName(java.lang.String value)` Sets the value of the '`Diagram Content Initializer Class Name`' attribute
`void` `setDiagramEditorUtilClassName(java.lang.String value)` Sets the value of the '`Diagram Editor Util Class Name`' attribute
`void` `setDocumentProviderClassName(java.lang.String value)` Sets the value of the '`Document Provider Class Name`' attribute
`void` `setEditingDomainID(java.lang.String value)` Sets the value of the '`Editing Domain ID`' attribute
`void` `setElementChooserClassName(java.lang.String value)` Sets the value of the '`Element Chooser Class Name`' attribute
`void` `setInitDiagramFileActionClassName(java.lang.String value)` Sets the value of the '`Init Diagram File Action Class Name`' attribute
`void` `setLoadResourceActionClassName(java.lang.String value)` Sets the value of the '`Load Resource Action Class Name`' attribute
`void` `setMatchingStrategyClassName(java.lang.String value)` Sets the value of the '`Matching Strategy Class Name`' attribute
`void` `setNewDiagramFileWizardClassName(java.lang.String value)` Sets the value of the '`New Diagram File Wizard Class Name`' attribute
`void` `setVisualIDRegistryClassName(java.lang.String value)` Sets the value of the '`Visual ID Registry Class Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCreationWizardClassName

    java.lang.String getCreationWizardClassName()

  Returns the value of the 'Creation Wizard Class Name' attribute.

  If the meaning of the 'Creation Wizard Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creation Wizard Class Name' attribute.
  See Also:
    `setCreationWizardClassName(String)`, `GMFGenPackage.getEditorCandies_CreationWizardClassName()`
  ** Generated **
  Model:

### setCreationWizardClassName

    void setCreationWizardClassName(java.lang.String value)

  Sets the value of the '`Creation Wizard Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Wizard Class Name' attribute.
  See Also:
    `getCreationWizardClassName()`
  ** Generated **

### getCreationWizardPageClassName

    java.lang.String getCreationWizardPageClassName()

  Returns the value of the 'Creation Wizard Page Class Name' attribute.

  If the meaning of the 'Creation Wizard Page Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creation Wizard Page Class Name' attribute.
  See Also:
    `setCreationWizardPageClassName(String)`, `GMFGenPackage.getEditorCandies_CreationWizardPageClassName()`
  ** Generated **
  Model:

### setCreationWizardPageClassName

    void setCreationWizardPageClassName(java.lang.String value)

  Sets the value of the '`Creation Wizard Page Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Wizard Page Class Name' attribute.
  See Also:
    `getCreationWizardPageClassName()`
  ** Generated **

### getCreationWizardIconPath

    java.lang.String getCreationWizardIconPath()

  Returns the value of the 'Creation Wizard Icon Path' attribute.

  If the meaning of the 'Creation Wizard Icon Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creation Wizard Icon Path' attribute.
  See Also:
    `setCreationWizardIconPath(String)`, `GMFGenPackage.getEditorCandies_CreationWizardIconPath()`
  ** Generated **
  Model:
    required="true"

### getCreationWizardIconPathX

    java.lang.String getCreationWizardIconPathX()

  Returns:
  See Also:
    `GenEditorView.getIconPathX()`

### setCreationWizardIconPath

    void setCreationWizardIconPath(java.lang.String value)

  Sets the value of the '`Creation Wizard Icon Path`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Wizard Icon Path' attribute.
  See Also:
    `getCreationWizardIconPath()`
  ** Generated **

### getCreationWizardCategoryID

    java.lang.String getCreationWizardCategoryID()

  Returns the value of the 'Creation Wizard Category ID' attribute.

  If the meaning of the 'Creation Wizard Category ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creation Wizard Category ID' attribute.
  See Also:
    `setCreationWizardCategoryID(String)`, `GMFGenPackage.getEditorCandies_CreationWizardCategoryID()`
  ** Generated **
  Model:

### setCreationWizardCategoryID

    void setCreationWizardCategoryID(java.lang.String value)

  Sets the value of the '`Creation Wizard Category ID`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Wizard Category ID' attribute.
  See Also:
    `getCreationWizardCategoryID()`
  ** Generated **

### getDiagramEditorUtilClassName

    java.lang.String getDiagramEditorUtilClassName()

  Returns the value of the 'Diagram Editor Util Class Name' attribute.

  If the meaning of the 'Diagram Editor Util Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Editor Util Class Name' attribute.
  See Also:
    `setDiagramEditorUtilClassName(String)`, `GMFGenPackage.getEditorCandies_DiagramEditorUtilClassName()`
  ** Generated **
  Model:

### setDiagramEditorUtilClassName

    void setDiagramEditorUtilClassName(java.lang.String value)

  Sets the value of the '`Diagram Editor Util Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram Editor Util Class Name' attribute.
  See Also:
    `getDiagramEditorUtilClassName()`
  ** Generated **

### getDocumentProviderClassName

    java.lang.String getDocumentProviderClassName()

  Returns the value of the 'Document Provider Class Name' attribute.

  If the meaning of the 'Document Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Document Provider Class Name' attribute.
  See Also:
    `setDocumentProviderClassName(String)`, `GMFGenPackage.getEditorCandies_DocumentProviderClassName()`
  ** Generated **
  Model:

### setDocumentProviderClassName

    void setDocumentProviderClassName(java.lang.String value)

  Sets the value of the '`Document Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Document Provider Class Name' attribute.
  See Also:
    `getDocumentProviderClassName()`
  ** Generated **

### getInitDiagramFileActionClassName

    java.lang.String getInitDiagramFileActionClassName()

  Returns the value of the 'Init Diagram File Action Class Name' attribute.

  If the meaning of the 'Init Diagram File Action Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Init Diagram File Action Class Name' attribute.
  See Also:
    `setInitDiagramFileActionClassName(String)`, `GMFGenPackage.getEditorCandies_InitDiagramFileActionClassName()`
  ** Generated **
  Model:

### setInitDiagramFileActionClassName

    void setInitDiagramFileActionClassName(java.lang.String value)

  Sets the value of the '`Init Diagram File Action Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Init Diagram File Action Class Name' attribute.
  See Also:
    `getInitDiagramFileActionClassName()`
  ** Generated **

### getNewDiagramFileWizardClassName

    java.lang.String getNewDiagramFileWizardClassName()

  Returns the value of the 'New Diagram File Wizard Class Name' attribute.

  If the meaning of the 'New Diagram File Wizard Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'New Diagram File Wizard Class Name' attribute.
  See Also:
    `setNewDiagramFileWizardClassName(String)`, `GMFGenPackage.getEditorCandies_NewDiagramFileWizardClassName()`
  ** Generated **
  Model:

### setNewDiagramFileWizardClassName

    void setNewDiagramFileWizardClassName(java.lang.String value)

  Sets the value of the '`New Diagram File Wizard Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'New Diagram File Wizard Class Name' attribute.
  See Also:
    `getNewDiagramFileWizardClassName()`
  ** Generated **

### getDiagramContentInitializerClassName

    java.lang.String getDiagramContentInitializerClassName()

  Returns the value of the 'Diagram Content Initializer Class Name' attribute.

  If the meaning of the 'Diagram Content Initializer Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Content Initializer Class Name' attribute.
  See Also:
    `setDiagramContentInitializerClassName(String)`, `GMFGenPackage.getEditorCandies_DiagramContentInitializerClassName()`
  ** Generated **
  Model:

### setDiagramContentInitializerClassName

    void setDiagramContentInitializerClassName(java.lang.String value)

  Sets the value of the '`Diagram Content Initializer Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram Content Initializer Class Name' attribute.
  See Also:
    `getDiagramContentInitializerClassName()`
  ** Generated **

### getMatchingStrategyClassName

    java.lang.String getMatchingStrategyClassName()

  Returns the value of the 'Matching Strategy Class Name' attribute.

  If the meaning of the 'Matching Strategy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Matching Strategy Class Name' attribute.
  See Also:
    `setMatchingStrategyClassName(String)`, `GMFGenPackage.getEditorCandies_MatchingStrategyClassName()`
  ** Generated **
  Model:

### setMatchingStrategyClassName

    void setMatchingStrategyClassName(java.lang.String value)

  Sets the value of the '`Matching Strategy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Matching Strategy Class Name' attribute.
  See Also:
    `getMatchingStrategyClassName()`
  ** Generated **

### getVisualIDRegistryClassName

    java.lang.String getVisualIDRegistryClassName()

  Returns the value of the 'Visual ID Registry Class Name' attribute.

  If the meaning of the 'Visual ID Registry Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Visual ID Registry Class Name' attribute.
  See Also:
    `setVisualIDRegistryClassName(String)`, `GMFGenPackage.getEditorCandies_VisualIDRegistryClassName()`
  ** Generated **
  Model:

### setVisualIDRegistryClassName

    void setVisualIDRegistryClassName(java.lang.String value)

  Sets the value of the '`Visual ID Registry Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Visual ID Registry Class Name' attribute.
  See Also:
    `getVisualIDRegistryClassName()`
  ** Generated **

### getElementChooserClassName

    java.lang.String getElementChooserClassName()

  Returns the value of the 'Element Chooser Class Name' attribute.

  If the meaning of the 'Element Chooser Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Chooser Class Name' attribute.
  See Also:
    `setElementChooserClassName(String)`, `GMFGenPackage.getEditorCandies_ElementChooserClassName()`
  ** Generated **
  Model:

### setElementChooserClassName

    void setElementChooserClassName(java.lang.String value)

  Sets the value of the '`Element Chooser Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Element Chooser Class Name' attribute.
  See Also:
    `getElementChooserClassName()`
  ** Generated **

### getLoadResourceActionClassName

    java.lang.String getLoadResourceActionClassName()

  Returns the value of the 'Load Resource Action Class Name' attribute.

  If the meaning of the 'Load Resource Action Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Load Resource Action Class Name' attribute.
  See Also:
    `setLoadResourceActionClassName(String)`, `GMFGenPackage.getEditorCandies_LoadResourceActionClassName()`
  ** Generated **
  Model:

### setLoadResourceActionClassName

    void setLoadResourceActionClassName(java.lang.String value)

  Sets the value of the '`Load Resource Action Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Load Resource Action Class Name' attribute.
  See Also:
    `getLoadResourceActionClassName()`
  ** Generated **

### getEditingDomainID

    java.lang.String getEditingDomainID()

  Returns the value of the 'Editing Domain ID' attribute.

  If the meaning of the 'Editing Domain ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editing Domain ID' attribute.
  See Also:
    `setEditingDomainID(String)`, `GMFGenPackage.getEditorCandies_EditingDomainID()`
  ** Generated **
  Model:

### setEditingDomainID

    void setEditingDomainID(java.lang.String value)

  Sets the value of the '`Editing Domain ID`' attribute.

  Parameters:
    `value` - the new value of the 'Editing Domain ID' attribute.
  See Also:
    `getEditingDomainID()`
  ** Generated **

### getCreationWizardQualifiedClassName

    java.lang.String getCreationWizardQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getCreationWizardPageQualifiedClassName

    java.lang.String getCreationWizardPageQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDiagramEditorUtilQualifiedClassName

    java.lang.String getDiagramEditorUtilQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDocumentProviderQualifiedClassName

    java.lang.String getDocumentProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getInitDiagramFileActionQualifiedClassName

    java.lang.String getInitDiagramFileActionQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNewDiagramFileWizardQualifiedClassName

    java.lang.String getNewDiagramFileWizardQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDiagramContentInitializerQualifiedClassName

    java.lang.String getDiagramContentInitializerQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getMatchingStrategyQualifiedClassName

    java.lang.String getMatchingStrategyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getVisualIDRegistryQualifiedClassName

    java.lang.String getVisualIDRegistryQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getElementChooserQualifiedClassName

    java.lang.String getElementChooserQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getLoadResourceActionQualifiedClassName

    java.lang.String getLoadResourceActionQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### generateInitDiagramAction

    boolean generateInitDiagramAction()

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.